SND_DEVICE_REGISTER(9)

NAME
snd_device_register - register the device

SYNOPSIS

int snd_device_register (struct snd_card * card, void * device_data);

ARGUMENTS

card
    the card instance

device_data
    the data pointer to register

DESCRIPTION

Registers the device which was already created via snd_device_new. Usually this is called from snd_card_register, but it can be called later if any new devices are created after invocation of snd_card_register.

Returns zero if successful, or a negative error code on failure or if the device not found.